Loading...
Searching...
No Matches
Dune::AddRefTypeEvaluator< T > Struct Template Reference
Common » Utilities » Tuple Utilities

`TypeEvaluator` to turn a type `T` into a reference to `T` More...

`#include <dune/common/tupleutility.hh>`

## Public Types

typedef T & | Type

## Static Public Member Functions

static Type | apply (T &t)

## Detailed Description

template<class T>
struct Dune::AddRefTypeEvaluator< T >

`TypeEvaluator` to turn a type `T` into a reference to `T`

This is suitable as the `TypeEvaluator` template parameter for ForEachType and transformTuple().

The documentation for this struct was generated from the following file:

- tupleutility.hh